- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeDeflateStream Class Reference
[Ipe Management]

Filter stream adding flate compression. More...

Inherits IpeStream.

List of all members.

## Public Member Functions

- IpeDeflateStream (IpeStream &stream, int level)
- virtual void PutChar (char ch)
- virtual void Close ()

## Static Public Member Functions

- static IpeBuffer Deflate (const char *data, int size, int &deflatedSize, int compressLevel)

## Detailed Description

Filter stream adding flate compression.

## Member Function Documentation

void IpeDeflateStream::PutChar | ( | char | ch | ) | `[virtual]`

Output character.

Implements IpeStream.

void IpeDeflateStream::Close | ( |  | ) | `[virtual]`

Close the stream. No more writing allowed!

Reimplemented from IpeStream.

IpeBuffer IpeDeflateStream::Deflate | ( | const char * | data,
|  | int | size,
|  | int & | deflatedSize,
|  | int | compressLevel |
| ) |  |  | `[static]`

Deflate a buffer in a single run.

The returned buffer may be larger than necessary: deflatedSize is set to the number of bytes actually used.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp